using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Entities.PF;
using APT.Infrastructure.Core;

namespace APT.MS.Domain.Entities.PF
{
    /// <summary>
    /// 审批角色
    /// </summary>
    [Description("审批角色")]
    public class T_PF_APPROVAL_ROLE : MesEntityBase
    {
        /// <summary>
        /// 区域编号
        /// </summary>
        [Description("编号")]
        [DataFieldLength(50)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string CODE { get; set; }

        /// <summary>
        /// 区域名称
        /// </summary>
        [Description("名称")]
        [DataFieldLength(100)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string NAME { get; set; }

        [Description("角色类型")]
        [EnumName("FMDepartmentType")]
        public int DEPARTMENT_TYPE { get; set; }

        [Description("导航：审批模板子表")]
        public ICollection<T_PF_APPROVE_OPERATION_ROLE> Nav_ApproveRoles { get; set; }

        [Description("导航：分管部门")]
        public ICollection<T_PF_APPROVE_ROLE_DEPARTMENT> Nav_ApproveDeparts { get; set; }
    }
}
